Ftools- Split vector layer error

2013-06-19 09:56 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16953

Description

add any vector layer with some unique values in any field. Press ok on the splite vector layer tool.

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doVectorSplit.py", line 175, in run

    check = QFile(baseName + "_" + unicode(i.strip()) + ".shp")

AttributeError: 'float' object has no attribute 'strip'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, 0b0de71

Associated revisions

Revision 09a9a81b - 2013-06-20 09:12 AM - Matthias Kuhn

[ftools,gdaltools] Errors in Merge Shapefiles and Split vector layer

    -  Fix #8120

    -  Fix #8119

History

#1 - 2013-06-20 12:13 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"09a9a81bb0ff3edfdc5090300dd050e88ec0cd9c".

#2 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
